function PlayerManager:spawn_smoke_screen(position, normal, grenade_unit, has_dodge_bonus)
	
	local time = tweak_data.projectiles.smoke_screen_grenade.duration --[post hooks, what are those things????]
	self._smoke_screen_effects = self._smoke_screen_effects or {}

	table.insert(self._smoke_screen_effects, SmokeScreenEffect:new(position, normal, time, has_dodge_bonus, grenade_unit))

	if alive(self._smoke_grenade) then
		self._smoke_grenade:set_slot(0)
	end

	self._smoke_grenade = grenade_unit


	local function speed_up_on_kill()
		managers.player:speed_up_grenade_cooldown(1)
	end

	self:register_message(Message.OnEnemyKilled, "speed_up_sicario_smoke", speed_up_on_kill) 
end